new;
library pgraph;

/*
**  Simulation d'une composante ARCH(1,1)
**
**  e(t) = N(0,h(t))
**
**  h(t)^2 = alpha0 + alpha1*u(t-1)^2 + beta1*h(t-1)^2
**
*/

alpha0 = 1.5;
alpha1 = 0.20;
beta1 = 0.50;

h2 = {};              /* Matrice nulle */
u = zeros(100,1);

h2t = alpha0;

t = 1;
do until t > rows(u);

  h2 = h2|h2t;
  ut = rndn(1,1)*sqrt(h2t);
  u[t] = ut;
  h2t = alpha0 + alpha1*(ut^2) + beta1*h2t;

  t = t + 1;
endo;

graphset;
  _pdate = ""; _pnum = 2;
  title("composante ARCH");
  xy(seqa(1,1,rows(u)),u);

  title("variance conditionnelle");
  xy(seqa(1,1,rows(u)),h2);






