/*
**  Calcul de la prime d'une option d'achat
**  par la formule de Black et Scholes [1973]
*/

proc EuropeanBScall(S0,K,sigma,tau,r);
  local w,d1,d2,C;

  w = sigma.*sqrt(tau);

  d1 = ( ln(S0./K) + r.*tau)./w + 0.5*w;
  d2 = d1 - w;

  C = S0.*cdfn(d1)-K.*exp(-r.*tau).*cdfn(d2);

  retp(C);
endp;



