new;
library ccf,pgraph;

declare external a,b,c,d;

a = 4; b = 2; c = 3; d = 1;

proc lvg(t,z);
  local x,y,dz;

  x = z[1];
  y = z[2];

  dz = a*x - b*x*y           |
       -c*y + d*x*y          ;

  retp(dz);
endp;

x = {};
y = {};
z0 = 1|1;

i = 0.1;
do until i > 1.5;
  {t,z,dz} = RungeKutta4(&lvg,z0,0,3,500);
  x = x~z[.,1];
  y = y~z[.,2];
  i = i + 0.1;
  c =  c + i;
endo;

graphset;
  _pnum = 2; _pdate = "";
  fonts("simplex simgrma");
  title("Lotka-Volterra-Godwin model (a=4, b=2, c=3, d=1)"\
        "\Ldx/dt = a*x -b*x*y "\
        "\Ldy/dt = -c*y +d*x*y");
  xlabel("x");
  ylabel("y");
  graphprt("-c=1 -cf=ccf35.eps -w=5");
  xy(x,y);

