/*
** La formule de Black et Scholes [1973]
*/

new;

S0 = 100;
K = 98;
sigma = 0.15;
tau = 95/365;
r = 0.08;

w = sigma*sqrt(tau);

d1 = ( ln(S0/K) + r*tau )/w + 0.5*w;
d2 = d1 - w;

C = S0*cdfn(d1) - K*exp(-r*tau)*cdfn(d2);

output file = ccf4.out reset;

print ftos(C,"Prime de l'option d'achat : %lf Francs",6,3);

output off;
